"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CornerRadii = void 0;
var _react = _interopRequireDefault(require("react"));
var _reactNativeSkia = require("@shopify/react-native-skia");
var _utils = require("../utils.js");
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const CornerRadii = exports.CornerRadii = /*#__PURE__*/_react.default.memo(function CornerRadii({
  width,
  height,
  style,
  children,
  backgroundColor
}) {
  const roundedClip = _react.default.useMemo(() => {
    const {
      topLeftRadius,
      topRightRadius,
      bottomRightRadius,
      bottomLeftRadius
    } = (0, _utils.getBorderRadius)(style);
    return (0, _utils.makeRoundedRectPath)(width, height, topLeftRadius, topRightRadius, bottomRightRadius, bottomLeftRadius);
  }, [width, height, style]);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNativeSkia.Group, {
    clip: roundedClip,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactNativeSkia.Rect, {
      x: 0,
      y: 0,
      width: width,
      height: height,
      color: backgroundColor,
      children: children
    })
  });
});
//# sourceMappingURL=CornerRadii.js.map