import { type ViewStyle } from 'react-native';
import type { GetBackgroundColorProps, GetOuterShadowOffsetProps, GetShadowPropertyProps, InnerShadowProps, LINEAR_DIRECTION, LinearInnerShadowProps } from './types';
export declare function numerify<T extends null | number>(value: unknown, defaultValue: T): number | T;
export declare function getBorderRadius(style?: Partial<ViewStyle>): {
    borderRadius: number | null;
    topLeftRadius: number;
    topRightRadius: number;
    bottomRightRadius: number;
    bottomLeftRadius: number;
};
export declare function makeRoundedRectPath(width: number, height: number, rtl: number, rtr: number, rbr: number, rbl: number): string;
export declare function getBackgroundColor(props: GetBackgroundColorProps): string;
export declare function getShadowProperty({ inset, shadowOffset, shadowBlur, shadowColor, reflectedLightOffset, reflectedLightBlur, reflectedLightColor, }: GetShadowPropertyProps): {
    shadowOffset: {
        width: number;
        height: number;
    };
    reflectedLightOffset: {
        width: number;
        height: number;
    };
    shadowColor: string;
    reflectedLightColor: string;
    shadowBlur: number;
    reflectedLightBlur: number;
};
export declare function getOuterShadowOffset({ inset, shadowColor, shadowOffset, shadowBlur, }: GetOuterShadowOffsetProps): {
    shadowColor: string | undefined;
    shadowOffset: {
        width: number;
        height: number;
    } | undefined;
    shadowOpacity: number;
    shadowRadius: number;
    elevation: number | undefined;
} | {
    shadowColor?: undefined;
    shadowOffset?: undefined;
    shadowOpacity?: undefined;
    shadowRadius?: undefined;
    elevation?: undefined;
};
interface GetLinearDirectionProps {
    width: number;
    height: number;
    from: LINEAR_DIRECTION;
    to: LINEAR_DIRECTION;
}
export declare function getLinearDirection({ width, height, from, to, }: GetLinearDirectionProps): {
    start: import("@shopify/react-native-skia").SkPoint;
    end: import("@shopify/react-native-skia").SkPoint;
};
export declare function isLinearProps(props: InnerShadowProps | LinearInnerShadowProps): props is LinearInnerShadowProps;
export {};
//# sourceMappingURL=utils.d.ts.map